summaryrefslogtreecommitdiff
path: root/pkg.sh
diff options
context:
space:
mode:
Diffstat (limited to 'pkg.sh')
-rwxr-xr-xpkg.sh11
1 files changed, 8 insertions, 3 deletions
diff --git a/pkg.sh b/pkg.sh
index b86c1ca..5f1d847 100755
--- a/pkg.sh
+++ b/pkg.sh
@@ -1,5 +1,10 @@
#!/bin/sh
-valgrind -q ./toc $1.toc -o $1.c || exit 1
-valgrind -q ./toc test.toc || exit 1
-gcc out.c $1.c || exit 1
+std_things="io arr"
+cd std
+for thing in $std_things; do
+ valgrind --track-origins=yes --exit-on-first-error=yes --error-exitcode=1 -q ../toc $thing.toc -o $thing.c || exit 1
+done
+cd ..
+valgrind --track-origins=yes --exit-on-first-error=yes --error-exitcode=1 -q ./toc test.toc || exit 1
+gcc out.c std/*.c || exit 1
./a.out